Document Payments
List document payments
Returns all payments for one public document. The list is not filtered or paginated; it always returns the full payment history of the selected document ordered from newest to oldest.
GET
/
document-payments
List document payments
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/document-payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/document-payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/document-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 801,
"documentType": "invoice",
"documentId": 301,
"paymentMethod": {
"id": 1,
"name": "Bank transfer"
},
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"paymentDate": "2026-03-07",
"amount": 15.5,
"currencyRate": 1,
"receiptInvoice": {
"id": 301,
"uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
"type": "invoice",
"number": "20260001",
"clientId": 101,
"client": {
"name": "Acme s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@acme.test",
"street": "Main Street 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703,
"country": {
"id": 703,
"name": "Slovakia",
"code": "SK",
"eu": true
},
"hasDeliveryAddress": true,
"deliveryStreet": "Warehouse 9",
"deliveryCity": "Kosice",
"deliveryZip": "04001",
"deliveryCountryId": 703,
"deliveryCountry": {
"id": 703,
"name": "Slovakia",
"code": "SK",
"eu": true
}
},
"issueDate": "2026-03-03",
"dueDate": "2026-03-17",
"deliveryDate": "2026-03-03",
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"total": 200,
"totalWithVat": 240,
"toBePaid": 240,
"status": "unpaid",
"hasVat": true
}
}
]
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Authorizations
Bearer token created for a specific company in Integrations → API.
Query Parameters
Document type whose payments you want to load. Only invoice, proforma, and credit-note are supported.
Available options:
invoice, proforma, credit-note ID of a document.
Response
Document payment list.
Payments of the selected document.
Show child attributes
Show child attributes
⌘I
List document payments

